Bug 1887671 - Review Request: golang-github-redteampentesting-monsoon - Fast HTTP enumerator
Summary: Review Request: golang-github-redteampentesting-monsoon - Fast HTTP enumerator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1887668
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2020-10-13 06:49 UTC by Fabian Affolter
Modified: 2020-12-30 01:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-30 01:38:16 UTC
Type: ---
o.lemasle: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-10-13 06:49:32 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-redteampentesting-monsoon.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-redteampentesting-monsoon-0.5.0-1.fc33.src.rpm

Project URL: https://github.com/RedTeamPentesting/monsoon

Description:
Fast HTTP enumerator.

Koji scratch build:
fails due to missing dependency

rpmlint output:
$ rpmlint golang-github-redteampentesting-monsoon-0.5.0-1.fc33.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-redteampentesting-monsoon-devel-0.5.0-1.fc33.noarch.rpm
golang-github-redteampentesting-monsoon-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/RedTeamPentesting/monsoon/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Olivier Lemasle 2020-10-30 19:14:38 UTC
Please remove these lines:
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

It produces the following unexpected binaries:
/usr/bin/fuzz
/usr/bin/list
/usr/bin/show
/usr/bin/test

The only binary should be /usr/bin/monsoon.

Also, a new version (0.6.0) was released this week.

Comment 2 Fabian Affolter 2020-12-11 21:22:35 UTC
(In reply to Olivier Lemasle from comment #1)
> Please remove these lines:
> for cmd in cmd/* ; do
>   %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
> done
> 
> It produces the following unexpected binaries:
> /usr/bin/fuzz
> /usr/bin/list
> /usr/bin/show
> /usr/bin/test
> 
> The only binary should be /usr/bin/monsoon.

Changed.
 
> Also, a new version (0.6.0) was released this week.

Updated

%changelog
* Fri Dec 11 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.0-1
- Remove binaries
- Update to latest upstream release 0.6.0 (#1887671)


Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-redteampentesting-monsoon.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-redteampentesting-monsoon-0.6.0-1.fc33.src.rpm

Comment 3 Fabian Affolter 2020-12-11 21:24:23 UTC
(In reply to Olivier Lemasle from comment #1)
> Please remove these lines:
> for cmd in cmd/* ; do
>   %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
> done
> 
> It produces the following unexpected binaries:
> /usr/bin/fuzz
> /usr/bin/list
> /usr/bin/show
> /usr/bin/test
> 
> The only binary should be /usr/bin/monsoon.

Changed.
 
> Also, a new version (0.6.0) was released this week.

Updated

%changelog
* Fri Dec 11 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.0-1
- Remove binaries
- Update to latest upstream release 0.6.0 (#1887671)


Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-redteampentesting-monsoon.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-redteampentesting-monsoon-0.6.0-1.fc33.src.rpm

Comment 4 Olivier Lemasle 2020-12-19 18:45:54 UTC
Change is ok, package is accepted:

- spec ok
- changelog ok
- license ok
- last version packaged
- packaging guidelines ok
- rpmlint ok

Comment 5 Fabian Affolter 2020-12-21 08:08:45 UTC
Thanks for reviewing this.

Comment 6 Gwyn Ciesla 2020-12-21 14:17:54 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-redteampentesting-monsoon

Comment 7 Fedora Update System 2020-12-21 22:30:34 UTC
FEDORA-2020-6168b864e4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6168b864e4

Comment 8 Fedora Update System 2020-12-21 22:34:51 UTC
FEDORA-2020-793a800731 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-793a800731

Comment 9 Fedora Update System 2020-12-22 02:19:08 UTC
FEDORA-2020-6168b864e4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-6168b864e4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6168b864e4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-12-22 02:19:09 UTC
FEDORA-2020-793a800731 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-793a800731 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-793a800731

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-12-30 01:38:16 UTC
FEDORA-2020-6168b864e4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-12-30 01:38:19 UTC
FEDORA-2020-793a800731 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.